# License Revocation

***

<details>

<summary>Customization for esx_license</summary>

If you are an esx\_license user, you need to make some change in your esx\_license, as it does not have an export to delete license by default.

1. Navigate to esx\_license/server/main.lua
2. Find function `RemoveLicense`
3. Add under the export function

```lua
---@param identifier target identifier
---@param licenseType license type
---@param cb callback function
local function RemoveLicense(identifier, licenseType, cb)
    MySQL.update('DELETE FROM user_licenses WHERE type = ? AND owner = ?', {licenseType, identifier}, function(rowsChanged)
        if cb then
            cb(rowsChanged)
        end
    end)
end
exports('RemoveLicense', RemoveLicense) -- ADDED
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_cityhall/guides/license-revocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
